.buy-in-click {
    border-radius: 10px;
    padding: 24px;
    background: var(--light-grey-color);
    max-width: 500px;

    position: relative;
}

.buy-in-click h3 {
    font-weight: 700;
    font-size: 32px;
    text-align: center;
    color: #000;
}

.buy-in-click .button-green {
    width: 100%;
    background: var(--green1-color);
    color: var(--white-color);
}

.buy-in-click p {
    font-size: 14px;
    color: var(--grey2-color);
}

.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.modal-close {
    position: absolute;
    top: 10px;
    right: 10px;
    background: none;
    border: none;
    font-size: 24px;
    cursor: pointer;
}

.hidden {
    display: none;
}

.no-scroll {
    overflow: hidden;
}

@media (max-width: 510px) {
    .buy-in-click {
        margin: 0 10px;
    }

    .buy-in-click-form .form-sections-inputs {
        flex-direction: column;
    }
}

@media (max-width: 430px) {
    .buy-in-click {
        padding: 12px;
        flex-direction: column;
    }

    .buy-in-click h3 {
        font-size: 18px;
    }

    .buy-in-click p {
        font-size: 10px;
    }
}